// Contexte graphique
const cvs = document.getElementById("zone_dessin");
cvs.width = 700;
cvs.height = 350;
const ctx = cvs.getContext("2d");

import {Scene} from "./mario_scene.js";
import {Clavier} from "./mario_clavier.js";
import {Mario} from "./mario_personnage.js";

export const scene = new Scene(cvs.width, cvs.height);
const clavier = new Clavier();
export const mario = new Mario(300, 245);

// Dessin de l'écran
function dessine(){
    scene.deplacementFond(ctx);
    ctx.drawImage(mario.marche("mario", 20), 300, 245);
    ctx.lineWiidth = 3;
    ctx.strokeRect(0, 0, cvs.width, cvs.height);
    requestAnimationFrame(dessine);
}
dessine();
